﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Credential Provider</title>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Credential Provider</h1>
        <p style="text-align: left;"><strong>Saviynt's Credential Provider</strong>&#160;for Windows is an extended password management utility that helps you to&#160;reset the password for your user account in IGA. The password change using Credential Provider is synchronized with the&#160;Active Directory (AD) Domain including other target applications configured in IGA.</p>
        <p style="text-align: left;">Credential Provider&#160;provides you the advantage to reset the password on your own when your Windows workstation is locked, without getting external technical assistance.&#160;The&#160;password for your Windows system and the password for your IGA user account are the same as&#160;the Active Directory Domain login is enabled on your Windows workstation.&#160;Hence, when you reset the password from the Windows logon screen using Credential Provider, you can use the same password for logging into your Windows system as well as the IGA application.</p>
        <p style="text-align: left;"><strong>Use Case</strong>
        </p>
        <p>If your&#160;Windows workstation&#160;got locked and you&#160;forgot&#160;the password to log in to your Windows or IGA account, you can reset the password using the&#160;"Forgot Password" link provided by Credential Provider in the Windows login screen.&#160;</p>
        <p class="auto-cursor-target">To reset the password using Credential Provider, perform the following steps:</p>
        <ul>
            <li>From the Windows logon screen, click “<strong>Forgot Password</strong>” link and you are&#160;redirected to <b>IGA Forgot Password</b> page.&#160;</li>
        </ul>
        <ul>
            <li>Enter the username in <strong>IGA Forgot Password</strong> page.&#160;If the username is found valid, you are required to&#160;provide answers to the configured challenge questions.</li>
        </ul>
        <ul>
            <li>After a successful validation of the answers, you are prompted to reset the password of the account in IGA. You are requested to enter and confirm the new password.</li>
        </ul>
        <ul>
            <li>
                <p class="auto-cursor-target">Immediately after changing the password,&#160;Credential Provider displays a message that the password is changed successfully.</p>
            </li>
        </ul>
        <ul>
            <li>
                <p class="auto-cursor-target">After the password is changed,&#160;you can log in to the Windows system.&#160;You can also log in to IGA using the same new password.</p>
            </li>
        </ul>
        <p class="note"><strong>Why Credential Provider?</strong>
        </p>
        <p>Credential Provider is a&#160;self-service password reset utility that enables you to directly reset the password from your Windows logon screen without seeking assistance from a system administrator or contacting the customer support. It&#160;provides the advantage of resetting both the Windows login password and the IGA user account password at the same time.&#160;</p>
        <h2 id="CredentialProvider-SupportedPlatforms">Supported Platforms</h2>
        <p>Credential Provider is supported on the following Windows client operating systems.&#160;</p>
        <ul>
            <li>Windows 10 (32-bit and 64-bit)</li>
            <li>Windows 8.1 (32-bit and 64-bit)</li>
        </ul>
        <h2 id="CredentialProvider-Prerequisites">Prerequisites</h2>
        <p>Ensure that the following actions are performed:</p>
        <ul>
            <li>
                <p class="auto-cursor-target">Microsoft Visual C++ Redistributable packages are installed on your Windows workstation. They are required by&#160;Credential Provider at&#160;runtime. These packages are available in&#160;the Credential Provider downloadable files at&#160;<MadCap:conditionalText MadCap:conditions="Default.Link"><a href="Saviynt-Enterprise-Identity-Cloud-Artifacts.htm" pubname="EIC-Artifacts" class="peer">EIC Artifacts</a></MadCap:conditionalText>.</p>
                <ul style="text-align: left;">
                    <li>32-bit file: &lt;extracted content of the downloaded file for x86&gt;/dependency/vc_redist.x86.exe</li>
                    <li>64-bit file: &lt;extracted content of the downloaded file for&#160;x64&gt;/dependency/vc_redist.x64.exe</li>
                </ul>
                <p style="text-align: left;">Alternatively, download them from <a class="external-link" style="text-decoration: none;" href="https://support.microsoft.com/en-in/help/2977003/the-latest-supported-visual-c-downloads" rel="nofollow">Latest supported Visual C++ downloads</a>.</p>
            </li>
            <li class="auto-cursor-target">
                <p class="auto-cursor-target">The MSI installer is configured with the values specific to your deployment before using it for installing Credential Provider. This configuration is performed using the&#160;Credential Provider utility,&#160;<strong>SSMCPUtil.exe</strong>, available at the same location as the MSI installer file,&#160;<strong>SSMCPSetup.msi,&#160;</strong>in&#160;the Credential Provider file. To download this file, go to <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="Saviynt-Enterprise-Identity-Cloud-Artifacts.htm" pubname="EIC-Artifacts" class="peer">EIC Artifacts</a></MadCap:conditionalText> and locate the file for your architecture, click the <strong>Download</strong> button next to it to download it on your server and extract the contents of the file.&#160;For instructions about configuring the&#160;MSI installer, see <MadCap:xref href="#Configur">Configuring the MSI Installer and Installing Credential Provider</MadCap:xref>.&#160;</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">You can configure only one MSI installer and use it for installing&#160;Credential Provider on additional Windows clients.&#160;</p>
                </div>
            </li>
        </ul>
        <h2 id="CredentialProvider-ConfiguringtheMSIInstallerandInstallingCredentialProvider"><a name="Configur"></a>Configuring the MSI Installer and Installing Credential Provider</h2>
        <p>As the first step of the installation, configure the MSI installer by executing <strong>SSMCPUTIL.exe</strong> and then run the MSI installer. The following sections explain the configuration of the Credential Provider Installer file and installation of Credential Provider.</p>
        <h3 id="CredentialProvider-ConfiguringtheMSIInstallerusingtheCredentialProviderutility">Configuring the MSI Installer using the&#160;<span style="color: rgb(0,0,0);">Credential Provider utility</span></h3>
        <p>To configure&#160;the MSI Installer, perform the following steps:</p>
        <ol>
            <li>
                <p>Launch the Credential Provider utility named "<strong>SSMCPUtil<span class="inline-comment-marker">.</span>exe</strong>".</p>
            </li>
            <li>
                <p>To select the MSI installer, click “...” inline with <strong>Path for Installer to Configure</strong>.&#160;&#160;When you have selected the MSI installer file (<strong>SSMCPSetup.msi)</strong>, the Credential Provider Utility populates the default configuration values.&#160;</p>
                <p>
                    <img src="../Resources/Images/Credential Provider Utility.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 700px;" />
                </p>
                <p>Figure: Credential Provider Utility</p>
                <p>Optionally, you can customize the default values populated in the <strong>Credential Provider Utility</strong> window. </p>
                <p>The following table describes the fields in this window:</p>
                <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                    <col style="width: 24.1035%;" class="TableStyle-Default-Table-Column-Column1" />
                    <col style="width: 75.7202%;" class="TableStyle-Default-Table-Column-Column1" />
                    <thead>
                        <tr class="TableStyle-Default-Table-Head-Header1">
                            <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Fields</th>
                            <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p><strong>Path for Installer to Configure</strong>
                                </p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p>Choose the location of the MSI Installer file&#160;(<strong style="text-align: left;">SSMCPSetup.msi</strong>) on your Windows system.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyE-Column1-Body1"><strong>Banner Text for Installer</strong>
                            </td>
                            <td class="TableStyle-Default-Table-BodyD-Column1-Body1">Specify the heading banner text to be displayed to the user during the Credential Provider installation.</td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyE-Column1-Body1"><strong>Welcome Text for Installer</strong>
                            </td>
                            <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p>Specify the Welcome text to be displayed to the user while installing Credential Provider.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><strong>Forgot Password Text</strong>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p>Specify the text to reset the password. This text is displayed as a hyperlink in the&#160;Windows logon screen.</p>
                                <p>The default text is “Forgot Password”.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><strong>Forgot Password URL</strong>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <div class="content-wrapper">
                                    <p>Specify the IGA Forgot Password URL where the user is redirected during the password reset process.</p>
                                    <p><strong>Sample forgot Password URL:</strong>  &#160;<a href="http://localhost:8080/ECM/maintenance/forgotpassword?fromCredProv=1" class="external-link" rel="nofollow">http://localhost:8080/ECM/maintenance/forgotpassword?fromCredProv=1</a></p>
                                    <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                        <p class="note">After configuring Credential Provider, when the user clicks&#160;the <strong>Forgot Password</strong>&#160;link in the&#160;Windows logon screen, the user is redirected to this IGA Forgot Password URL.</p>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1"><strong>Winlogon Banner</strong>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                <p>Specify the text you want to display on the new login tile, once Credential Provider is installed on your system. You can customize this field, as desired.</p>
                                <p>The default text is “Saviynt Login”.</p>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </li>
            <li>
                <p>After specifying the required details, click <strong>Configure Installer</strong>. This configures the MSI Installer required to install Credential Provider.&#160;</p>
            </li>
        </ol>
        <h3 id="CredentialProvider-InstallingCredentialProvider">Installing Credential Provider</h3>
        <p>You can install the&#160;Saviynt Credential Provider in either the graphical mode or in the silent mode.&#160;</p>
        <h4 id="CredentialProvider-InstallinginGraphicalMode">Installing in Graphical Mode</h4>
        <ol>
            <li>
                <p>Double-click the&#160;MSI installer file,&#160;<strong>SSMCPSetup.msi,</strong>&#160;and launch the GUI-based installation.</p>
                <p style="margin-left: 30.0px;">
                    <img src="../Resources/Images/Installing Credential Provider.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 700px;" />
                </p>
                <p>Figure: Installing Credential Provider (Wizard)</p>
            </li>
            <li>
                <p>In the screen that displays, click <strong>Next</strong> to perform the installation. </p>
            </li>
            <li>
                <p>In the&#160;<strong>User Account Control</strong> pop-up window, select <strong>Yes</strong>.</p>
                <p style="margin-left: 30.0px;">
                    <img src="../Resources/Images/Installing Credential Provider1.png" style="border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
                <p>Figure: Installing Credential Provider</p>
                <p>This starts the installation.</p>
                <p style="margin-left: 30.0px;">
                    <img src="../Resources/images/Installing Credential Provider2.png" style="border-top-style: solid;border-top-width: 1px;width: 700px;height: 700px;" />
                </p>
                <p>Figure: Installing Credential Provider</p>
            </li>
            <li>
                <p>After the installation is complete, you will see a screen similar to the below.</p>
                <p style="margin-left: 30.0px;">
                    <img src="../Resources/Images/Completing&#160;Installation of&#160;Credential Provider.png" style="border-top-style: solid;border-top-width: 1px;width: 700px;height: 700px;" />
                </p>
                <p>Figure: Completing Installation of Credential Provider</p>
            </li>
            <li>
                <p>Click <strong>Close&#160;</strong>to exit the wizard. </p>
                <p>Credential Provider is now installed on your Windows system and ready to use.</p>
            </li>
        </ol>
        <h4 id="CredentialProvider-InstallinginSilentMode">Installing in Silent Mode</h4>
        <p>Silent installation is the preferred mode of installation if the client machine is scripted or pushed via endpoint management systems.</p>
        <p>You can install&#160;Credential Provider in the silent mode using one of the following methods:</p>
        <ul>
            <li>Execute the batch script,&#160;<strong>install_sav_credprov.bat</strong>. Double-click the .bat file from the extracted contents of the downloaded Credential Provider file.</li>
            <li>Execute the script from the command prompt.</li>
        </ul>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">During a silent installation, the program installs in the background without user interaction.</p>
        </div>
        <h2 id="CredentialProvider-ResettingyourPasswordusingCredentialProvider">Resetting your Password using Credential Provider</h2>
        <p>After&#160;Credential Provider is installed, a new login tile is available on your Windows logon screen. The screen also includes the&#160;<strong>Forgot Password</strong> link for&#160;resetting&#160;the password for your Windows or&#160;IGA account.&#160;</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">Before using the <strong>Forgot Password</strong> link, the challenge questions must be configured in IGA.</p>
        </div>
        <p>To reset the password using&#160;Credential Provider, perform the following steps:</p>
        <p style="margin-left: 30.0px;">1.&#160;Click the <strong>Forgot Password</strong> link that appears below the username and password prompt&#160;as highlighted in the following figure:&#160;</p>
        <p style="margin-left: 30.0px;">
            <img src="../Resources/Images/Forgot Password Link.png" style="width: 700px;height: 300px;" />
            <br />Figure: Forgot Password Link provided by Credential Provider<br /></p>
        <p class="auto-cursor-target" style="margin-left: 30.0px;">2. A&#160;restricted browser opens up the <strong>Forgot Password</strong> page in IGA.&#160;</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">This <strong>Forgot Password</strong>&#160;link is the same link that you configured while setting up the&#160;MSI Installer&#160;using<label class="filename-path"> SSMCPUtil.exe</label>&#160;(see Step 3 of&#160;<MadCap:xref href="#Configur">Configuring the MSI Installer and Installing Credential Provider</MadCap:xref>).</p>
        </div>
        <p style="margin-left: 30.0px;">3.&#160;Enter the username on this page.<br /><br /><img src="../Resources/Images/Enter Username.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 600px;" /><br />Figure: Enter Username&#160;<br />If you have entered a wrong username, the following error message is displayed.</p>
        <p style="margin-left: 30.0px;">
            <img src="../Resources/Images/Error Message displayed.png" style="width: 700px;height: 300px;" />
        </p>
        <p style="margin-left: 30.0px;">Figure: Error Message displayed when a Wrong User Name is Entered</p>
        <p style="margin-left: 30.0px;">If the specified username is valid and available in IGA, you are redirected to the challenge questions.</p>
        <p style="margin-left: 30.0px;">4. Answer the challenge questions. <br />The answers entered are validated with those configured in IGA.&#160;&#160;</p>
        <p style="margin-left: 30.0px;">
            <img src="../Resources/Images/Answering Challenge Questions.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 600px;" />
            <br />
        </p>
        <p style="margin-left: 30.0px;">Figure: Answering Challenge Questions for Validation</p>
        <p style="margin-left: 30.0px;">5. On a successful validation,&#160;you are prompted to enter the new password.</p>
        <p style="margin-left: 30.0px;">6. Specify the new password in <strong>Enter New Password</strong>,&#160;re-enter the new password in <strong>Re-enter new password</strong>,&#160;and click <strong>Next</strong>.<br /></p>
        <p style="margin-left: 30.0px;">
            <img src="../Resources/Images/Entering New Password.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 600px;" />
        </p>
        <p style="margin-left: 30.0px;">Figure: Entering New Password&#160;<br /></p>
        <p style="margin-left: 30.0px;">The password is successfully changed for your IGA user account and the following message is displayed for confirmation.</p>
        <p style="margin-left: 30.0px;">
            <img src="../Resources/Images/Password Changed Successfully Message.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 100px;" />
        </p>
        <p style="margin-left: 30.0px;">Figure: Password Changed Successfully Message</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <ul>
                <li>
                    <p class="note">The new password is also updated in the IGA application,&#160;Active Directory domain,&#160;and all other endpoints/target applications configured in IGA.</p>
                </li>
                <li>
                    <p class="note">The password change takes place in accordance with provisioning configurations.</p>
                    <ul>
                        <li>
                            <p class="note">If you have configured instant provisioning in IGA, then the password reset is immediately synced with the Active Directory and other endpoints/target applications </p>
                        </li>
                        <li>
                            <p class="note">If you have configured scheduled provisioning, the password reset is synced only after the WSRETRY job (provisioning job) is completed as per the schedule.</p>
                        </li>
                    </ul>
                </li>
            </ul>
        </div>
        <p style="margin-left: 30.0px;">8. Close the message and you are redirected to the Windows login page.</p>
        <p style="margin-left: 30.0px;">9. Log in to your Windows system using the new password that you have reset using Credential Provider.</p>
        <p class="auto-cursor-target" style="margin-left: 30.0px;">You can also log in to IGA using the same new password.<br /></p>
    </body>
</html>